# frozen_string_literal: true

require 'cht-lib-fabric/error_codes'

module UserManagement
  module ErrorCodes
    include ::Platform::ErrorCodes

    NOT_FOUND = "not_found"
    INVALID_SERVICE = "invalid_service"
    INVALID_CRN = "invalid_crn"
    ALREADY_EXISTS = "already_exists"
  end

  module Exceptions
     class UserWithEmailAlreadyExists < ::StandardError; end
  end
end
