# frozen_string_literal: true

require 'cht-lib-fabric/graphql/federation/types'

module UserManagement
  module GraphQL
    module Types
      class UserIdPPayload < ::Platform::GraphQL::Types::BaseObject
        description "The identity attribute return payload"
        field :user_keys, [String], "An array of identity attribute keys", null: false
      end
    end
  end
end
