# frozen_string_literal: true
# auto_register: false

require 'karafka'
require 'user_management/consumers/users'

::Karafka::App.consumer_groups.draw do
  consumer_group :user_management do
    topic 'com.cloudhealthtech.svc.user_management.users.change' do
      consumer ::UserManagement::Consumers::Users
    end
  end
end
