# frozen_string_literal: true

require 'active_support/dependencies/autoload'
require 'user_management/utils/model_replication'
module UserManagement
  module Stores
    module ArModels
      include ::UserManagement::Utils::ModelReplication
      extend ActiveSupport::Autoload

      autoload :IdentityAttributeRule
      autoload :IdentityAttributeRuleValue
      autoload :Customer
      autoload :Organization
      autoload :DataStore
      autoload :User
      autoload :UserGroup
      autoload :UserGroupsUser
      autoload :CustomerDataEvents
      autoload :Role
    end
  end
end
