# frozen_string_literal: true

require 'active_record'

module UserManagement
  module Stores
    module ArModels
      class Role < ::ActiveRecord::Base
        has_and_belongs_to_many :users, join_table: :users_roles
      end
    end
  end
end
