# frozen_string_literal: true

require 'graphql'
require 'cht-lib-fabric/graphql/federation/types'

module UserManagement
  module GraphQL
    module Types
      class UserDefaultOrganizationPayload < ::Platform::GraphQL::Types::BaseObject
        description "Default Organization Payload"
        field :default_organization_id, ID, "A string representing an organization ID", null: false
      end
    end
  end
end
