# frozen_string_literal: true

require 'graphql'
require 'user_management/stores/ar_models'

module UserManagement
  module GraphQL
    module Types
      class UserDefaultOrganizationInput < ::GraphQL::Schema::InputObject
        description "A user CRN"
        argument :userById, Types::CRN, required: true
        argument :preferredOrganization, Types::CRN, required: false
      end
    end
  end
end
