# frozen_string_literal: true

require 'graphql'
require 'user_management/stores/ar_models'

module UserManagement
  module GraphQL
    module Types
      class UserGroupIdentityAttributeRuleInput < ::GraphQL::Schema::InputObject
        argument :key, String, required: true
        argument :values, [String], required: true, method_access: false
      end
    end
  end
end
