# frozen_string_literal: true

require 'active_record'

module UserManagement
  module Stores
    module ArModels
      class IdentityAttributeRule < ActiveRecord::Base
        belongs_to :user_group
        belongs_to :customer

        has_many :identity_attribute_rule_values
      end
    end
  end
end
