# frozen_string_literal: true

require 'active_record'

module UserManagement
  module Stores
    module ArModels
      class OrganizationUser < ActiveRecord::Base
        attr_accessor :organization_id

        belongs_to :user
        belongs_to :organization
      end
    end
  end
end
