module UserManagement
  module Stores
    module ShardMixin
      def with_master(&block)
        with_data_shard(:master, &block)
      end

      def with_data_shard(shard)
        Multidb.use(shard) { yield }
      end
    end
  end
end
